## fuel-astute 7.0%2Bdfsg1

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/",dversionmangle=s/\+dfsg\d+$// \
https://github.com/openstack/fuel-astute/tags .*/(\d[\d\.]+)\.tar\.gz

## fuel-astute 7.0+dfsg1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf pdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  pdf        to make pdf files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/fuel.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/fuel.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/fuel"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/fuel"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

pdf:
	$(SPHINXBUILD) -b pdf $(ALLSPHINXOPTS) $(BUILDDIR)/pdf
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/pdf."
	@echo "Run \`make' in that directory to run these through pdf" \
	      "(use \`make pdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
fuel-astute (7.0+dfsg1-2) unstable; urgency=medium

  * Add patch to fix RabbitMQ channel creation.
  * Added postrm script to purge leftover files (Closes: #814638).
  * Fixed init script.
  * VCS fields using HTTPS.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Feb 2016 19:11:44 +0800

fuel-astute (7.0+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #805274).

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Nov 2015 09:55:43 +0100

=== debian/control ===
Source: fuel-astute
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-systemd,
               gem2deb (>= 0.3.0~),
               libjs-jquery,
               openstack-pkg-tools (>= 13~),
               python-sphinx,
               python-sphinxcontrib.actdiag,
               python-sphinxcontrib.blockdiag,
               python-sphinxcontrib.nwdiag,
               python-sphinxcontrib.seqdiag,
               rst2pdf,
Standards-Version: 3.9.6
XS-Ruby-Versions: all
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/fuel-astute.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/fuel-astute.git
Homepage: https://github.com/stackforge/fuel-astute

Package: astute
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: adduser,
         mcollective-client,
         openssh-client,
         ruby | ruby-interpreter,
         ruby-activesupport,
         ruby-amqp,
         ruby-net-ssh,
         ruby-net-ssh-gateway,
         ruby-net-ssh-multi,
         ruby-raemon,
         ruby-rest-client,
         ruby-symboltable,
         ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Deployment Orchestrator of Puppet via MCollective
 For the provisionning, Astute orchestrator collects data about nodes and
 creates corresponding Cobbler systems using parameters specified in engine
 section of provision data. After the systems are created, it connects to
 Cobbler engine and reboots nodes according to the power management parameters
 of the node.
 .
 For the deployment, Astute uses data about nodes and recalculates needed
 parameters. Calculated parameters are passed to the nodes being deployed by
 using the nailyfact MCollective agent, that uploads these attributes to the
 /etc/astute.yaml file of the node. Then puppet parses this file using Facter
 plugin and uploads these facts into puppet. These facts are used during
 catalog compilation phase by puppet. Finally catalog is executed and Astute
 orchestrator passes to the next node in deployment sequence. Fuel Library
 provides puppet modules for Astute.

Package: nailgun-mcagents
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
Description: Deployment Orchestrator of Puppet via MCollective - mcagents
 For the provisionning, Astute orchestrator collects data about nodes and
 creates corresponding Cobbler systems using parameters specified in engine
 section of provision data. After the systems are created, it connects to
 Cobbler engine and reboots nodes according to the power management parameters
 of the node.
 .
 For the deployment, Astute uses data about nodes and recalculates needed
 parameters. Calculated parameters are passed to the nodes being deployed by
 using the nailyfact MCollective agent, that uploads these attributes to the
 /etc/astute.yaml file of the node. Then puppet parses this file using Facter
 plugin and uploads these facts into puppet. These facts are used during
 catalog compilation phase by puppet. Finally catalog is executed and Astute
 orchestrator passes to the next node in deployment sequence. Fuel Library
 provides puppet modules for Astute.
 .
 This package provides the Nailgun MCAgents.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=ruby --with ruby,sphinxdoc

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func astute.postinst

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/astute.postinst

override_dh_sphinxdoc:
	sphinx-build -b html docs debian/astute/usr/share/doc/astute/html
	rm $(CURDIR)/debian/astute/usr/share/doc/astute/html/_static/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js $(CURDIR)/debian/astute/usr/share/doc/astute/html/_static/jquery.js
	dh_sphinxdoc -O--buildsystem=python_distutils

## fuel-astute 9.0+dfsg1

=== debian/changelog ===
fuel-astute (9.0+dfsg1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to new one

  [ Thomas Goirand ]
  * Purge astuted.conf correctly (Closes: #814638).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jun 2016 08:53:22 +0200

fuel-astute (9.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Add patch to fix RabbitMQ channel creation.
  * Follow upstream updated dependency: ruby-amqp -> ruby-bunny.
  * Kill the doc generation, as it's also gone from upstream sources.
  * Purges /etc/astute, /var/log/astute and /var/lib/astute when the package
    is purged (Closes: #814638).
  * Standards-Version is now 3.9.8 (no change).
  * Removed reference to docs/_static/jquery.js in debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 May 2016 10:48:05 +0000

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,7 @@
                gem2deb (>= 0.3.0~),
                libjs-jquery,
                openstack-pkg-tools (>= 13~),
-               python-sphinx,
-               python-sphinxcontrib.actdiag,
-               python-sphinxcontrib.blockdiag,
-               python-sphinxcontrib.nwdiag,
-               python-sphinxcontrib.seqdiag,
-               rst2pdf,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 XS-Ruby-Versions: all
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/fuel-astute.git;a=summary
 Vcs-Git: https://anonscm.debian.org/git/openstack/fuel-astute.git
@@ -24,11 +18,12 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: adduser,
-         mcollective-client,
+         mcollective,
+         nailgun-mcagents,
          openssh-client,
          ruby | ruby-interpreter,
          ruby-activesupport,
-         ruby-amqp,
+         ruby-bunny,
          ruby-net-ssh,
          ruby-net-ssh-gateway,
          ruby-net-ssh-multi,
@@ -74,4 +69,4 @@
  orchestrator passes to the next node in deployment sequence. Fuel Library
  provides puppet modules for Astute.
  .
- This package provides the Nailgun MCAgents.
+ This package provides the Nailgun MCollective Agents.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=ruby --with ruby,systemd

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func astute.postinst

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/astute.postinst
	rm -f debian/*.init debian/*.service debian/*.upstart
